<?php
    defined( 'ABSPATH' ) || exit;
    
    if ( ! class_exists( 'Woo_Variation_Swatches_Pro_Blocks' ) ) {
        class Woo_Variation_Swatches_Pro_Blocks extends Woo_Variation_Swatches_Blocks {
            
            protected static $_instance = null;
            
            protected function __construct() {
                parent::__construct();
            }
            
            public static function instance() {
                if ( is_null( self::$_instance ) ) {
                    self::$_instance = new self();
                }
                
                return self::$_instance;
            }
            
            protected function hooks() {
                parent::hooks();
                add_action( 'init', array( $this, 'register_blocks' ) );
                add_filter( 'post_class', array( $this, 'post_class_for_block' ), 20, 3 );
                add_filter( 'render_block', array( $this, 'add_class_to_price_block' ), 10, 3 );
            }
            
            public function post_class_for_block( $classes, $class = '', $post_id = 0 ) {
                
                if ( ! $post_id || ! in_array( get_post_type( $post_id ), array( 'product', 'product_variation' ), true ) ) {
                    return $classes;
                }
                
                $product = wc_get_product( $post_id );
                
                if ( ! $product ) {
                    return $classes;
                }
                
                // @TODO: Variable / Variation
                
                if ( $product->is_type( 'variable' ) ) {
                    $loop_name = wc_get_loop_prop( 'name' );
                    
                    //if ( is_archive() || ! empty( $loop_name ) ) {
                    $classes[] = 'wvs-archive-product-wrapper';
                    //}
                }
                
                return $classes;
            }
            
            public function register_blocks() {
                register_block_type( woo_variation_swatches_pro()->pro_build_path() . '/variation-swatches' );
            }
            
            public function add_class_to_price_block( $block_content, $block, $wp_blocks ) {
                
                if ( $block[ 'blockName' ] === 'woocommerce/product-price' ) {
                    $processor = new WP_HTML_Tag_Processor( $block_content );
                    if ( $processor->next_tag( array( 'class_name' => 'wc-block-components-product-price' ) ) ) {
                        $processor->add_class( 'price' );
                        
                        return $processor->get_updated_html();
                    }
                }
                
                return $block_content;
                
            }
        }
    }